// PG_DITCtrlEntry.h: interface for the PG_DITCtrlEntry class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_PG_DITCTRLENTRY_H__745A6A01_4665_11D3_89E9_BB84E2FF682A__INCLUDED_)
#define AFX_PG_DITCTRLENTRY_H__745A6A01_4665_11D3_89E9_BB84E2FF682A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class PG_DITCtrl; // Forward reference
class PG_DITCtrlEntry  
{
public:
	PG_DITCtrlEntry
		( QRDN *rRDN, QEntry *pEntry, PG_DITCtrlEntry *pParentEntry, PG_DITCtrl *pTreeWnd);

  PG_DITCtrlEntry( PG_DITCtrl *pTreeWnd );
	virtual ~PG_DITCtrlEntry();

protected:
  QRDN m_RDN;
  PtrList<PG_DITCtrlEntry> m_childList;

protected:
  PG_DITCtrlEntry *m_pParentEntry;
  class PG_DITCtrl *m_pTreeWnd;
  HTREEITEM m_hTreeItem;

public:
  BOOL m_bExpanded;
  BOOL m_bHasChildren;

  //
  // Entry name
  char m_nameBuf[256]; // Buffer used for in place editing

public:
  BOOL AddChild( QEntry *pEntry, QRDN *pRDN, BOOL bShow );
  BOOL GetChild( QRDN &pRDN, PG_DITCtrlEntry **pChildPtr );

public:
	QRDN &RDN() { return m_RDN ; } ;

public:
	void ExpandPartial();
	void SetExpandedState();
	void Expand();
	void SetChildState();
};

#endif // !defined(AFX_PG_DITCTRLENTRY_H__745A6A01_4665_11D3_89E9_BB84E2FF682A__INCLUDED_)
